Subject: Re: compiling winsock apps
From: [email-masked] (Ben Miller)

28 Oct 1997 21:12:33 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 8bit
To: [email-masked]
Cc: [email-masked]

I have tried the lines you have indicated below but I get a bunch of errors like
the one below:

C:\\gnuwin32\\b18\\H-i386-cygwin32\\lib\\gcc-lib\\i386-cygwin32\\cygnus-2.7.2-970404\\../../../../i386-cygwin32/include/Windows32/Sockets.h:824: syntax error before `__attribute__'

----------------------------------------
Benjamin G. Miller
Consultant
Data Communications Consulting inc.
----------------------------------------
This message transmited on 100% recycled electrons.

>>> Tim Newsham <[email-masked]> 10/28 3:42 PM >>>
> I have read the archives, the faq's, the docs (that I could find) and I still can't find how to compile a winsock application.  I can't even get all the headers to compile properly.  Can anyone out there offer some help or simple samples on how to get a standard winsock cpp application to compile and run properly.

^^ you should hit the enter key once every 70 characters.

You need to do:

    #define Win32_Winsock
    #include <windows.h>

to pull in the winsock defines rather than the cygwin (bsd style)
socket defines.

> Benjamin G. Miller

                                      Tim N.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".